<?php
declare(strict_types=1);

namespace Flat101\MultiWidget\Model\MultiWidget;

use Flat101\MultiWidget\Controller\Adminhtml\Sliders\Upload;
use Magento\Framework\UrlInterface;

class SlidersDataProvider extends DataProvider
{
    public function getImageData(string $imageName) :array
    {
        return [
            [
                'name' => $imageName,
                'url' => $this->storeManager->getStore()->getBaseUrl(UrlInterface::URL_TYPE_MEDIA) . Upload::SLIDERS_IMAGE_PATH_DESTINATION . $imageName,
            ],
        ];
    }
}
