<?php
declare(strict_types=1);

namespace Flat101\MultiWidget\Api\Data;

use Magento\Framework\Api\SearchResultsInterface;

/**
 * Interface ItemsSearchResultsInterface
 */
interface ItemsSearchResultsInterface extends SearchResultsInterface
{
    /**
     * @return \Flat101\MultiWidget\Api\Data\ItemsInterface[]
     */
    public function getItems();

    /**
     * @param \Flat101\MultiWidget\Api\Data\ItemsInterface[][] $items
     * @return void
     */
    public function setItems(array $items);
}
