<?php
declare(strict_types=1);

namespace Flat101\MultiWidget\Block\Widget;

use Flat101\MultiWidget\Controller\Adminhtml\KeyBenefits\Upload;
use Magento\Framework\UrlInterface;

class KeyBenefits extends SlickBlock
{

    /**
     * @inherit
     */
    public function getImageUrl(string $imageName): string
    {
        return $this->_storeManager->getStore()->getBaseUrl(UrlInterface::URL_TYPE_MEDIA) . Upload::KEYBENEFITS_IMAGE_PATH_DESTINATION . $imageName;
    }
}
