<?php
declare(strict_types=1);

namespace Flat101\MultiWidget\Model\ResourceModel\MultiWidget;

use Flat101\MultiWidget\Model\MultiWidget as ModelMultiWidget;
use Flat101\MultiWidget\Model\ResourceModel\MultiWidget as ResourceModelMultiWidget;
use Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection;

class Collection extends AbstractCollection
{
    /**
     * Initialize resource model collection
     */
    protected function _construct()
    {
        $this->_init(ModelMultiWidget::class, ResourceModelMultiWidget::class);
    }
}
