<?php
namespace Flat101\MultiWidget\Model\Source\Attributes;

use Magento\Framework\Data\OptionSourceInterface;

class Headings implements OptionSourceInterface
{
    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray(): array
    {
        return [['value' => 'none', 'label' => __('None')], ['value' => 'h1', 'label' => __('H1')], ['value' => 'h2', 'label' => __('H2')],['value' => 'h3', 'label' => __('H3')],
            ['value' => 'h4', 'label' => __('H4')], ['value' => 'h5', 'label' => __('H5')], ['value' => 'h6', 'label' => __('H6')]];
    }

    /**
     * Get options in "key-value" format
     *
     * @return array
     */
    public function toArray(): array
    {
        return ['none' => __('None'), 'h1' => __('H1'), 'h2' => __('H2'), 'h3' => __('H3'), 'h4' => __('H4'), 'h5' => __('H5'), 'h6' => __('H6')];
    }
}
